Skip to content

list_kbs

GET
/v1/knowledge-bases
curl --request GET \
--url https://app.everruns.com/api/v1/knowledge-bases

List knowledge bases.

search
string | null

Substring filter applied to knowledge-base name and description.

include_archived
boolean | null

When true, also returns archived knowledge bases.

List knowledge bases

Media type application/json

Response wrapper for list endpoints. All list endpoints return responses wrapped in a data field.

object
data
required

Array of items returned by the list operation.

Array<object>

Response body for knowledge base.

object
archived_at

Timestamp when this resource was archived, if any (RFC 3339).

string | null format: date-time
created_at
required

Timestamp when this resource was created (RFC 3339).

string format: date-time
deleted_at

Timestamp when this resource was soft-deleted, if any (RFC 3339).

string | null format: date-time
description

Human-readable description. Safe to render in user-facing messages.

string | null
embedding_model_id

Optional embedding model for hybrid retrieval. null = keyword search only.

string | null
id
required

Prefixed public identifier. See ID Schema.

string
name
required

Human-readable name. Safe to render in user-facing messages.

string
status
required

Current lifecycle status.

string
updated_at
required

Timestamp when this resource was last updated (RFC 3339).

string format: date-time
Example
{
"data": [
{
"id": "kb_01933b5a000070008000000000000001"
}
]
}